# Fast and Simple Spectral Clustering
Experiments for the paper 'Fast and Simple Spectral Clustering in Theory and Practice'.

The experiments are implemented in Python 3.

## Installing Dependencies
Install the python package dependencies with pip.

```
pip install -r requirements.txt
```

## Running Experiments
Run the experiments with the following command.

```
python main.py run {experiment}
```

where `{experiment}` is one of `fig2a`, `fig2b`, `mnist`, `pen`, `fashion`, `har`, or `letter`.
These correspond to the experiments reported in the paper, where `fig2a` and `fig2b`
are the experiments on the stochastic block model.

## Plotting the results
The figures included in the paper can be generated with the following commands.

```
python main.py plot fig2a
python main.py plot fig2b
```
